org.apache.ode.bpel.dd

## Interface TProcessEvents.Generate

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TProcessEventsImpl.GenerateImpl
  Enclosing interface:
    TProcessEvents

      public static interface TProcessEvents.Generate
      extends org.apache.xmlbeans.XmlString

  An XML generate(@). This is an atomic type that is a restriction of org.apache.ode.bpel.dd.TProcessEvents$Generate.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TProcessEvents.Generate.Enum` Enumeration value class for org.apache.ode.bpel.dd.TProcessEvents$Generate.
    `static class` | `TProcessEvents.Generate.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TProcessEvents.Generate.Enum` | `ALL`
    `static int` | `INT_ALL`
    `static int` | `INT_NONE`
    `static TProcessEvents.Generate.Enum` | `NONE`
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.StringEnumAbstractBase` | `enumValue()`
    `void` | `set(org.apache.xmlbeans.StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

    - #### ALL

          static final TProcessEvents.Generate.Enum ALL

    - #### NONE

          static final TProcessEvents.Generate.Enum NONE

    - #### INT_ALL

          static final int INT_ALL

      See Also:
        Constant Field Values

    - #### INT_NONE

          static final int INT_NONE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### enumValue

          org.apache.xmlbeans.StringEnumAbstractBase enumValue()

    - #### set

          void set(org.apache.xmlbeans.StringEnumAbstractBase e)